Home

# Class goog.fx.Animation

Constructor for an animation object.

extends goog.fx.TransitionBase

Instance Method Summary
| `cycle(number now)` Handles the actual iteration of the animation in a timeout
| `destroy()` Stops an animation, fires a 'destroy' event and then removes all the event handlers to clean up memory.
| `dispatchAnimationEvent(string type)` Dispatches an event object for the current animation.
| `disposeInternal()` Disposes of the animation. Stops an animation, fires a 'destroy' event and then removes all the event handlers to clean up memory.
| `onAnimate()` Dispatches the ANIMATE event. Sub classes should override this instead of listening to the event.
| `onDestroy()` Dispatches the DESTROY event. Sub classes should override this instead of listening to the event.
| `pause()` Pauses the animation (iff it's playing).
| `play(boolean= opt_restart) ⇒ boolean` Starts or resumes an animation.
| `setProgress(number progress)` Sets the progress of the animation.
| `stop(boolean gotoEnd)` Stops the animation.
| `updateCoords_(number t)` Calculates current coordinates, based on the current state. Applies the accelleration function if it exists.

Static Method Summary
| `setAnimationWindow(?Window animationWindow)`